Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.util
Class HashableCoreMap.HashableCoreMapException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  edu.stanford.nlp.util.HashableCoreMap.HashableCoreMapException

All Implemented Interfaces:
  Serializable

Enclosing class:
  HashableCoreMap

    public static class HashableCoreMap.HashableCoreMapException

extends RuntimeException

An exception thrown when attempting to change the value associated with an (immutable) hash key in a HashableCoreMap.

Author:
  dramage
See Also:
  Serialized Form

Constructor Summary
`HashableCoreMap.HashableCoreMapException(String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HashableCoreMap.HashableCoreMapException

    public HashableCoreMap.HashableCoreMapException(String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group